yp 3 лет назад
Родитель
Сommit
e95210d089

+ 33 - 0
sms/.gitignore

@@ -0,0 +1,33 @@
+HELP.md
+target/
+!.mvn/wrapper/maven-wrapper.jar
+!**/src/main/**/target/
+!**/src/test/**/target/
+
+### STS ###
+.apt_generated
+.classpath
+.factorypath
+.project
+.settings
+.springBeans
+.sts4-cache
+
+### IntelliJ IDEA ###
+.idea
+*.iws
+*.iml
+*.ipr
+
+### NetBeans ###
+/nbproject/private/
+/nbbuild/
+/dist/
+/nbdist/
+/.nb-gradle/
+build/
+!**/src/main/**/build/
+!**/src/test/**/build/
+
+### VS Code ###
+.vscode/

BIN
sms/.mvn/wrapper/maven-wrapper.jar


+ 2 - 0
sms/.mvn/wrapper/maven-wrapper.properties

@@ -0,0 +1,2 @@
+distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.8.4/apache-maven-3.8.4-bin.zip
+wrapperUrl=https://repo.maven.apache.org/maven2/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar

+ 316 - 0
sms/mvnw

@@ -0,0 +1,316 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#    https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+#   JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+#   M2_HOME - location of maven2's installed home dir
+#   MAVEN_OPTS - parameters passed to the Java VM when running Maven
+#     e.g. to debug Maven itself, use
+#       set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+#   MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ] ; then
+
+  if [ -f /usr/local/etc/mavenrc ] ; then
+    . /usr/local/etc/mavenrc
+  fi
+
+  if [ -f /etc/mavenrc ] ; then
+    . /etc/mavenrc
+  fi
+
+  if [ -f "$HOME/.mavenrc" ] ; then
+    . "$HOME/.mavenrc"
+  fi
+
+fi
+
+# OS specific support.  $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+  CYGWIN*) cygwin=true ;;
+  MINGW*) mingw=true;;
+  Darwin*) darwin=true
+    # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
+    # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
+    if [ -z "$JAVA_HOME" ]; then
+      if [ -x "/usr/libexec/java_home" ]; then
+        export JAVA_HOME="`/usr/libexec/java_home`"
+      else
+        export JAVA_HOME="/Library/Java/Home"
+      fi
+    fi
+    ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+  if [ -r /etc/gentoo-release ] ; then
+    JAVA_HOME=`java-config --jre-home`
+  fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+  ## resolve links - $0 may be a link to maven's home
+  PRG="$0"
+
+  # need this for relative symlinks
+  while [ -h "$PRG" ] ; do
+    ls=`ls -ld "$PRG"`
+    link=`expr "$ls" : '.*-> \(.*\)$'`
+    if expr "$link" : '/.*' > /dev/null; then
+      PRG="$link"
+    else
+      PRG="`dirname "$PRG"`/$link"
+    fi
+  done
+
+  saveddir=`pwd`
+
+  M2_HOME=`dirname "$PRG"`/..
+
+  # make it fully qualified
+  M2_HOME=`cd "$M2_HOME" && pwd`
+
+  cd "$saveddir"
+  # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --unix "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Mingw, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME="`(cd "$M2_HOME"; pwd)`"
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+  javaExecutable="`which javac`"
+  if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
+    # readlink(1) is not available as standard on Solaris 10.
+    readLink=`which readlink`
+    if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
+      if $darwin ; then
+        javaHome="`dirname \"$javaExecutable\"`"
+        javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
+      else
+        javaExecutable="`readlink -f \"$javaExecutable\"`"
+      fi
+      javaHome="`dirname \"$javaExecutable\"`"
+      javaHome=`expr "$javaHome" : '\(.*\)/bin'`
+      JAVA_HOME="$javaHome"
+      export JAVA_HOME
+    fi
+  fi
+fi
+
+if [ -z "$JAVACMD" ] ; then
+  if [ -n "$JAVA_HOME"  ] ; then
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+      # IBM's JDK on AIX uses strange locations for the executables
+      JAVACMD="$JAVA_HOME/jre/sh/java"
+    else
+      JAVACMD="$JAVA_HOME/bin/java"
+    fi
+  else
+    JAVACMD="`\\unset -f command; \\command -v java`"
+  fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+  echo "Error: JAVA_HOME is not defined correctly." >&2
+  echo "  We cannot execute $JAVACMD" >&2
+  exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+  echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+
+  if [ -z "$1" ]
+  then
+    echo "Path not specified to find_maven_basedir"
+    return 1
+  fi
+
+  basedir="$1"
+  wdir="$1"
+  while [ "$wdir" != '/' ] ; do
+    if [ -d "$wdir"/.mvn ] ; then
+      basedir=$wdir
+      break
+    fi
+    # workaround for JBEAP-8937 (on Solaris 10/Sparc)
+    if [ -d "${wdir}" ]; then
+      wdir=`cd "$wdir/.."; pwd`
+    fi
+    # end of workaround
+  done
+  echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+  if [ -f "$1" ]; then
+    echo "$(tr -s '\n' ' ' < "$1")"
+  fi
+}
+
+BASE_DIR=`find_maven_basedir "$(pwd)"`
+if [ -z "$BASE_DIR" ]; then
+  exit 1;
+fi
+
+##########################################################################################
+# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+# This allows using the maven wrapper in projects that prohibit checking in binary data.
+##########################################################################################
+if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Found .mvn/wrapper/maven-wrapper.jar"
+    fi
+else
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..."
+    fi
+    if [ -n "$MVNW_REPOURL" ]; then
+      jarUrl="$MVNW_REPOURL/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
+    else
+      jarUrl="https://repo.maven.apache.org/maven2/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
+    fi
+    while IFS="=" read key value; do
+      case "$key" in (wrapperUrl) jarUrl="$value"; break ;;
+      esac
+    done < "$BASE_DIR/.mvn/wrapper/maven-wrapper.properties"
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Downloading from: $jarUrl"
+    fi
+    wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar"
+    if $cygwin; then
+      wrapperJarPath=`cygpath --path --windows "$wrapperJarPath"`
+    fi
+
+    if command -v wget > /dev/null; then
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Found wget ... using wget"
+        fi
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+            wget "$jarUrl" -O "$wrapperJarPath" || rm -f "$wrapperJarPath"
+        else
+            wget --http-user=$MVNW_USERNAME --http-password=$MVNW_PASSWORD "$jarUrl" -O "$wrapperJarPath" || rm -f "$wrapperJarPath"
+        fi
+    elif command -v curl > /dev/null; then
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Found curl ... using curl"
+        fi
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+            curl -o "$wrapperJarPath" "$jarUrl" -f
+        else
+            curl --user $MVNW_USERNAME:$MVNW_PASSWORD -o "$wrapperJarPath" "$jarUrl" -f
+        fi
+
+    else
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Falling back to using Java to download"
+        fi
+        javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java"
+        # For Cygwin, switch paths to Windows format before running javac
+        if $cygwin; then
+          javaClass=`cygpath --path --windows "$javaClass"`
+        fi
+        if [ -e "$javaClass" ]; then
+            if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+                if [ "$MVNW_VERBOSE" = true ]; then
+                  echo " - Compiling MavenWrapperDownloader.java ..."
+                fi
+                # Compiling the Java class
+                ("$JAVA_HOME/bin/javac" "$javaClass")
+            fi
+            if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+                # Running the downloader
+                if [ "$MVNW_VERBOSE" = true ]; then
+                  echo " - Running MavenWrapperDownloader.java ..."
+                fi
+                ("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR")
+            fi
+        fi
+    fi
+fi
+##########################################################################################
+# End of extension
+##########################################################################################
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
+if [ "$MVNW_VERBOSE" = true ]; then
+  echo $MAVEN_PROJECTBASEDIR
+fi
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --path --windows "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+  [ -n "$MAVEN_PROJECTBASEDIR" ] &&
+    MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
+fi
+
+# Provide a "standardized" way to retrieve the CLI args that will
+# work with both Windows and non-Windows executions.
+MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@"
+export MAVEN_CMD_LINE_ARGS
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+exec "$JAVACMD" \
+  $MAVEN_OPTS \
+  $MAVEN_DEBUG_OPTS \
+  -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
+  "-Dmaven.home=${M2_HOME}" \
+  "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+  ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"

+ 188 - 0
sms/mvnw.cmd

@@ -0,0 +1,188 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements.  See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership.  The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License.  You may obtain a copy of the License at
+@REM
+@REM    https://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied.  See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a keystroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM     e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM set title of command window
+title %0
+@REM enable echoing by setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on"  echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%USERPROFILE%\mavenrc_pre.bat" call "%USERPROFILE%\mavenrc_pre.bat" %*
+if exist "%USERPROFILE%\mavenrc_pre.cmd" call "%USERPROFILE%\mavenrc_pre.cmd" %*
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto init
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+@REM ==== END VALIDATION ====
+
+:init
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
+
+FOR /F "usebackq tokens=1,2 delims==" %%A IN ("%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties") DO (
+    IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B
+)
+
+@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+@REM This allows using the maven wrapper in projects that prohibit checking in binary data.
+if exist %WRAPPER_JAR% (
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Found %WRAPPER_JAR%
+    )
+) else (
+    if not "%MVNW_REPOURL%" == "" (
+        SET DOWNLOAD_URL="%MVNW_REPOURL%/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
+    )
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Couldn't find %WRAPPER_JAR%, downloading it ...
+        echo Downloading from: %DOWNLOAD_URL%
+    )
+
+    powershell -Command "&{"^
+		"$webclient = new-object System.Net.WebClient;"^
+		"if (-not ([string]::IsNullOrEmpty('%MVNW_USERNAME%') -and [string]::IsNullOrEmpty('%MVNW_PASSWORD%'))) {"^
+		"$webclient.Credentials = new-object System.Net.NetworkCredential('%MVNW_USERNAME%', '%MVNW_PASSWORD%');"^
+		"}"^
+		"[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; $webclient.DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"^
+		"}"
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Finished downloading %WRAPPER_JAR%
+    )
+)
+@REM End of extension
+
+@REM Provide a "standardized" way to retrieve the CLI args that will
+@REM work with both Windows and non-Windows executions.
+set MAVEN_CMD_LINE_ARGS=%*
+
+%MAVEN_JAVA_EXE% ^
+  %JVM_CONFIG_MAVEN_PROPS% ^
+  %MAVEN_OPTS% ^
+  %MAVEN_DEBUG_OPTS% ^
+  -classpath %WRAPPER_JAR% ^
+  "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" ^
+  %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%"=="" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%USERPROFILE%\mavenrc_post.bat" call "%USERPROFILE%\mavenrc_post.bat"
+if exist "%USERPROFILE%\mavenrc_post.cmd" call "%USERPROFILE%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%"=="on" pause
+
+if "%MAVEN_TERMINATE_CMD%"=="on" exit %ERROR_CODE%
+
+cmd /C exit /B %ERROR_CODE%

+ 58 - 0
sms/pom.xml

@@ -0,0 +1,58 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
+    <modelVersion>4.0.0</modelVersion>
+    <parent>
+        <groupId>org.springframework.boot</groupId>
+        <artifactId>spring-boot-starter-parent</artifactId>
+        <version>2.5.6</version>
+        <relativePath/> <!-- lookup parent from repository -->
+    </parent>
+    <groupId>com.jd</groupId>
+    <artifactId>sms</artifactId>
+    <version>0.0.1-SNAPSHOT</version>
+    <name>sms</name>
+    <description>Demo project for Spring Boot</description>
+    <properties>
+        <java.version>1.8</java.version>
+    </properties>
+    <dependencies>
+        <dependency>
+            <groupId>org.springframework.boot</groupId>
+            <artifactId>spring-boot-starter</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.springframework.boot</groupId>
+            <artifactId>spring-boot-starter-test</artifactId>
+            <scope>test</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.springframework.boot</groupId>
+            <artifactId>spring-boot-starter-web</artifactId>
+            <version>2.6.7</version>
+        </dependency>
+        <dependency>
+            <groupId>com.alibaba</groupId>
+            <artifactId>fastjson</artifactId>
+            <version>1.2.47</version>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>cn.hutool</groupId>
+            <artifactId>hutool-all</artifactId>
+            <version>5.3.7</version>
+            <scope>compile</scope>
+        </dependency>
+    </dependencies>
+
+    <build>
+        <plugins>
+            <plugin>
+                <groupId>org.springframework.boot</groupId>
+                <artifactId>spring-boot-maven-plugin</artifactId>
+            </plugin>
+        </plugins>
+    </build>
+
+</project>

+ 16 - 0
sms/src/main/java/com/jd/sms/SmsApplication.java

@@ -0,0 +1,16 @@
+package com.jd.sms;
+
+import org.springframework.boot.SpringApplication;
+import org.springframework.boot.autoconfigure.SpringBootApplication;
+
+/**
+ * @author yp
+ */
+@SpringBootApplication
+public class SmsApplication {
+
+    public static void main(String[] args) {
+        SpringApplication.run(SmsApplication.class, args);
+    }
+
+}

+ 54 - 0
sms/src/main/java/com/jd/sms/controller/SmsController.java

@@ -0,0 +1,54 @@
+package com.jd.sms.controller;
+
+import com.jd.sms.util.Blank;
+import com.jd.sms.util.ConstString;
+import com.jd.sms.util.SendUtil;
+import com.jd.sms.util.SmsUtil;
+import org.springframework.web.bind.annotation.PostMapping;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RestController;
+
+import java.util.Map;
+
+/**
+ * @author :yp
+ * @date :Created in 2022/5/7 17:43
+ * @description:短信发送接口
+ */
+@RestController
+@RequestMapping("sms")
+public class SmsController {
+    @PostMapping("sendMessage")
+    public Map<String, Object> sendMsg(String mobiles, String ecName, String apId, String secretKey, String sign, String url, String content, String addSerial) {
+        // 判断参数
+        if (Blank.isEmpty(mobiles)) {
+            return SendUtil.send(false, "mobiles不能为空");
+        }
+        if (Blank.isEmpty(ecName)) {
+            return SendUtil.send(false, "ecName不能为空");
+        }
+        if (Blank.isEmpty(apId)) {
+            return SendUtil.send(false, "apId不能为空");
+        }
+        if (Blank.isEmpty(secretKey)) {
+            return SendUtil.send(false, "secretKey不能为空");
+        }
+        if (Blank.isEmpty(sign)) {
+            return SendUtil.send(false, "sign不能为空");
+        }
+        if (Blank.isEmpty(url)) {
+            return SendUtil.send(false, "url不能为空");
+        }
+        if (Blank.isEmpty(content)) {
+            return SendUtil.send(false, "content不能为空");
+        }
+        if (Blank.isEmpty(addSerial)) {
+            addSerial = "";
+        }
+        boolean smsResult = SmsUtil.sendHttpSms(url, ecName, apId, secretKey, mobiles, content, sign, addSerial);
+        if (smsResult) {
+            return SendUtil.send(true, "短信发送成功");
+        }
+        return SendUtil.send(true, "短信发送失败");
+    }
+}

+ 212 - 0
sms/src/main/java/com/jd/sms/util/Blank.java

@@ -0,0 +1,212 @@
+package com.jd.sms.util;
+
+import com.alibaba.fastjson.JSON;
+import com.alibaba.fastjson.JSONArray;
+import com.alibaba.fastjson.JSONObject;
+
+import java.lang.reflect.Field;
+import java.lang.reflect.Modifier;
+import java.util.ArrayList;
+import java.util.List;
+import java.util.Map;
+import java.util.Objects;
+
+/**
+ * 判断是否为空工具类
+ * 
+ * @author Administrator
+ */
+public class Blank {
+
+	/**
+	 * String 不为空
+	 * 
+	 * @param str
+	 * @return
+	 */
+	public static boolean notBlank(String str) {
+		return str != null && !"".equals(str.trim());
+	}
+
+	/**
+	 * Integer 不为空
+	 * 
+	 * @param num
+	 * @return
+	 */
+	public static boolean notBlank(Integer num) {
+		return num != null;
+	}
+
+	/**
+	 * List 不为空
+	 * 
+	 * @param list
+	 * @return
+	 */
+	public static boolean notBlank(@SuppressWarnings("rawtypes") List list) {
+		return list != null && list.size() > 0;
+	}
+
+	/**
+	 * 判断数组是否为空
+	 * 
+	 * @param objs
+	 * @return
+	 */
+	public static boolean isNotEmpty(Object[] objs) {
+		boolean flag = false;
+		for (int i = 0; i < objs.length; i++) {
+			if (objs[i] != null && !"".equals((objs[i]).toString().trim())) {
+				flag = true;
+			} else {
+				flag = false;
+				break;
+			}
+		}
+		return flag;
+	}
+
+	/**
+	 * 判断对象不为空
+	 * 
+	 * @param obj
+	 *            对象名
+	 * @return 是否不为空
+	 */
+	public static boolean isNotEmpty(Object obj) {
+		return !isEmpty(obj);
+	}
+
+	/**
+	 * Object为空
+	 * 
+	 * @param objects
+	 * @return
+	 */
+	public static boolean isEmpty(Object... objects) {
+		for (Object obj : objects) {
+			if (isEmpty(obj)) {
+				return true;
+			}
+		}
+		return false;
+	}
+
+	/**
+	 * Object 为空
+	 * 
+	 * @param obj
+	 * @return
+	 */
+	@SuppressWarnings("rawtypes")
+	public static boolean isEmpty(Object obj) {
+		if (obj == null) {
+			return true;
+		}
+		if ((obj instanceof String)) {
+			String empty = "";
+			return ((String) obj).trim().equals(empty);
+		}
+		if ((obj instanceof Map)) {
+			return ((Map) obj).isEmpty();
+		}
+		if ((obj instanceof List)) {
+			return ((List) obj).size() == 0;
+		}
+		if ((obj instanceof JSONObject)) {
+			return ((JSONObject) obj).isEmpty();
+		}
+		if ((obj instanceof JSONArray)) {
+			return ((JSONArray) obj).isEmpty();
+		}
+		return false;
+	}
+
+	/**
+	 * 根据传过来的属性与对象,判断对象是否正确 Object obj 检验对象 String[] params 不为空的属性值
+	 */
+	public static boolean checkObjectParamNotNull(Object obj, String[] params) {
+		boolean flag = true;
+		Class<? extends Object> clazz = obj.getClass();
+		for (String param : params) {
+			try {
+				Field field = clazz.getDeclaredField(param);
+				field.setAccessible(true);
+				Object val = field.get(obj);
+				if (val == null || "".equals(val.toString())) {
+					flag = false;
+					break;
+				}
+			} catch (NoSuchFieldException e) {
+				e.printStackTrace();
+			} catch (SecurityException e) {
+				e.printStackTrace();
+			} catch (IllegalArgumentException e) {
+				e.printStackTrace();
+			} catch (IllegalAccessException e) {
+				e.printStackTrace();
+			}
+		}
+		return flag;
+	}
+
+	/**
+	 * Map转成实体对象
+	 * 
+	 * @param map
+	 *            map实体对象包含属性
+	 * @param clazz
+	 *            实体对象类型
+	 * @return
+	 * @throws IllegalAccessException
+	 * @throws InstantiationException
+	 */
+	public static Object mapToObject(Map<String, Object> map, Class<?> clazz) throws Exception {
+		if (map == null) {
+			return null;
+		}
+		Object obj = null;
+		obj = clazz.newInstance();
+		Field[] fields = obj.getClass().getDeclaredFields();
+		for (Field field : fields) {
+			int mod = field.getModifiers();
+			if (Modifier.isStatic(mod) || Modifier.isFinal(mod)) {
+				continue;
+			}
+			field.setAccessible(true);
+			field.set(obj, map.get(field.getName()));
+		}
+		return obj;
+	}
+
+	@SuppressWarnings("unchecked")
+	public static List<Map<String, Object>> toListMap(String json) {
+		List<Object> list = JSON.parseArray(json);
+		List<Map<String, Object>> listw = new ArrayList<Map<String, Object>>();
+		for (Object object : list) {
+			Map<String, Object> ret = (Map<String, Object>) object;
+			listw.add(ret);
+		}
+		return listw;
+
+	}
+
+	/**
+	 * data为空验证
+	 * 
+	 * @param param
+	 * @return
+	 */
+	public static Boolean isCheck(Map<String, Object> param) {
+		if (!Objects.equals(param, null)) {
+			Object obj = param.get("data");
+			if (Objects.equals(obj, null) || "".equals(obj)) {
+				return true;
+			}
+			return false;
+		}
+		return true;
+	}
+
+}

+ 38 - 0
sms/src/main/java/com/jd/sms/util/ConstString.java

@@ -0,0 +1,38 @@
+/**
+ * 
+ */
+package com.jd.sms.util;
+
+/**
+ * @author
+ *
+ */
+public class ConstString {
+
+	/********************* 返回消息 ************************/
+	public static final String REQUEST_WRONGPARAMS = "参数错误";
+	public static final String RESULT_SUCCESS = "SUCCESS";
+	public static final String RESULT_FAILED = "FAILED";
+	public static final String RESULT_EXIST = "EXIST";
+	public static final String RESULT_NOT_EXIST = "NOT_EXIST";
+	public static final String RESULT_NAME_EXIST = "NAMEEXIST";
+	public static final String RESULT_CODE_EXIST = "CODEEXIST";
+	public static final String RESULT_ERROEPASS = "ERROEPASS";
+	
+	/********************* 日志操作类型 ************************/
+	public static final String OPER_ADD = "新增";
+	public static final String OPER_UPDATE = "编辑";
+	public static final String OPER_UPDATE_PWD = "修改密码";
+	public static final String OPER_DEL = "删除";
+	public static final String OPER_LOGIN = "登录";
+	public static final String OPER_LOGOUT = "注销";
+
+	/********************* 发送短信 ************************/
+	public static final String ALREADY_REGISTERED = "该手机号已注册";
+	public static final String NOT_REGISTERED = "该手机号还未注册";
+	public static final String SEND_FAILED = "短信验证码发送失败";
+	public static final String SEND_SUCCESS = "短信验证码发送成功";
+	public static final String YZCODE_NOTSENDORERROR = "短信验证码未发送或错误";
+	public static final String YZCODE_INVALID = "短信验证码已失效";
+	public static final String EXIST_SEND = "1分钟内请勿重复发送短信验证码";
+}

+ 98 - 0
sms/src/main/java/com/jd/sms/util/SendUtil.java

@@ -0,0 +1,98 @@
+package com.jd.sms.util;
+
+import java.util.HashMap;
+import java.util.Map;
+
+/**
+ * @ApplicationName: commons
+ * @Title: SendUtil.java
+ * @Package: com.jd.util
+ * @Description: 返回包装类
+ * @author: WangShuai
+ * @date: 2020年6月17日 上午11:39:59
+ * @version: V1.0
+ */
+public class SendUtil {
+
+	private static final String SEND_LEN_ERROR_MSG = "封装参数格式错误";
+	private static final String HYSTRIX_ERROR_MSG = "Hystrix:";
+
+	/**
+	 * @Title: send
+	 * @Description: 返回封装
+	 * @author: WangShuai
+	 * @date: 2020年6月17日 上午11:43:51
+	 * @param objs
+	 * @return Map<String,Object>
+	 * @throws
+	 */
+	public static Map<String, Object> send(Object... objs) {
+		Map<String, Object> params = new HashMap<>(3);
+		if (objs.length == 0 || objs.length > 3) {
+			params.put("result", false);
+			params.put("msg", SEND_LEN_ERROR_MSG);
+			params.put("data", "");
+		} else {
+			params.put("result", objs[0] != null ? objs[0] : false);
+			params.put("msg", objs.length > 1 && objs[1] != null ? objs[1] : "");
+			params.put("data", objs.length > 2 && objs[2] != null ? objs[2] : "");
+		}
+		return params;
+	}
+	
+	/**
+	 * @Title: hystrix
+	 * @Description: 熔断器返回值
+	 * @author: YJQ
+	 * @date: 2020年8月14日 下午3:08:25
+	 * @returnType Map<String,Object>
+	 * @param hystrixMsg
+	 * @return
+	 */
+	public static Map<String, Object> hystrix(String hystrixMsg) {
+		Map<String, Object> params = new HashMap<>(3);
+		params.put("result", false);
+		params.put("msg", HYSTRIX_ERROR_MSG + hystrixMsg);
+		params.put("data", null);
+		return params;
+	}
+	
+	public static Map<String, Object> sendCode(Object... objs) {
+		Map<String, Object> params = new HashMap<>(3);
+		if (objs.length == 0 || objs.length > 3) {
+			params.put("result", false);
+			params.put("msg", SEND_LEN_ERROR_MSG);
+			params.put("data", "");
+		} else {
+			params.put("result", objs[0] != null ? objs[0] : false);
+			params.put("msg", objs.length > 1 && objs[1] != null ? objs[1] : "");
+			params.put("code", objs.length > 2 && objs[2] != null ? objs[2] : "");
+			params.put("data", objs.length > 3 && objs[3] != null ? objs[3] : "");
+		}
+		return params;
+	}
+
+	/**
+	 * 返回 Layui 表格格式的数据
+	 * @param count
+	 * @param data
+	 * @return
+	 */
+	public static Map<String, Object> layuiTable(long count, Object data) {
+		Map<String, Object> msg = new HashMap<>();
+		msg.put("code", 0);
+		msg.put("msg", ConstString.RESULT_SUCCESS);
+		msg.put("count", count);
+		msg.put("data", data);
+		return msg;
+	}
+	
+	public static Map<String, Object> aiResponse(String code, String info, String data){
+		Map<String, Object> msg = new HashMap<>();
+		msg.put("code", code);
+		msg.put("data", data);
+		msg.put("info", info);
+		return msg;
+	}
+
+}

+ 172 - 0
sms/src/main/java/com/jd/sms/util/SmsUtil.java

@@ -0,0 +1,172 @@
+package com.jd.sms.util;
+
+import cn.hutool.crypto.SecureUtil;
+import cn.hutool.json.JSONUtil;
+import com.alibaba.fastjson.JSONObject;
+
+import java.io.BufferedReader;
+import java.io.DataOutputStream;
+import java.io.IOException;
+import java.io.InputStreamReader;
+import java.net.HttpURLConnection;
+import java.net.URL;
+import java.util.Base64;
+import java.util.Map;
+
+/**  
+ * 
+ * @Title:  SmsUtil.java   
+ * @Package com.jd.sz.utils   
+ * @Description: 
+ * @author: leihy     
+ * @date:   2021年2月1日 下午2:11:22   
+ * @version V1.0 
+ */
+public class SmsUtil {
+
+	/**
+	 * 已HTTP形式请求短信发送接口
+	 * @param url
+	 * @param ecName
+	 * @param apId
+	 * @param secretKey
+	 * @param mobiles
+	 * @param content
+	 * @param sign
+	 * @param addSerial
+	 * @return
+	 */
+	public static boolean sendHttpSms(String url, String ecName, String apId, String secretKey, String mobiles, String content,
+			String sign, String addSerial) {
+		// 判断参数
+		if (Blank.isEmpty(url)) {
+			return false;
+		}
+		if (Blank.isEmpty(ecName)) {
+			return false;
+		}
+		if (Blank.isEmpty(apId)) {
+			return false;
+		}
+		if (Blank.isEmpty(secretKey)) {
+			return false;
+		}
+		if (Blank.isEmpty(mobiles)) {
+			return false;
+		}
+		if (Blank.isEmpty(content)) {
+			return false;
+		}
+		if (Blank.isEmpty(sign)) {
+			return false;
+		}
+		if (Blank.isEmpty(addSerial)) {
+			addSerial = "";
+		}
+		JSONObject json = new JSONObject();
+		json.put("ecName", ecName);
+		json.put("apId", apId);
+		json.put("secretKey", secretKey);
+		json.put("mobiles", mobiles);
+		json.put("content", content);
+		json.put("sign", sign);
+		json.put("addSerial", addSerial);
+
+		try {
+			String mac = SmsUtil.getMac(ecName, apId, secretKey, mobiles, content, sign, addSerial);
+			json.put("mac", mac);
+			
+			String param = JSONUtil.toJsonStr(json);
+			System.err.println(param);
+			
+			String encode = Base64.getEncoder().encodeToString(param.getBytes());
+			
+			// 使用hutool5.0.6以上,旧版本有问题
+//		String post = HttpRequest.post(url).body(encode).execute().body();
+			//hutool低版本重写http请求
+			String post = HttpRequest(url,encode);
+			System.err.println(post);
+			Map<String, Object> resultMap = JSONObject.parseObject(post);
+			Boolean flag = Boolean.parseBoolean(resultMap.get("success").toString());
+			return flag;
+//			if(success) {
+//				return "";
+//			}
+//			return resultMap.get("rspcod").toString();
+		} catch (Exception e) {
+			e.printStackTrace();
+			return false;
+		}
+		
+	}
+	
+	public static String HttpRequest(String http, String base64Str) {
+		StringBuffer sb = new StringBuffer("");
+		HttpURLConnection connection = null;
+		DataOutputStream out = null;
+		BufferedReader reader = null;
+		try {
+			URL url = new URL(http);
+			connection = (HttpURLConnection) url.openConnection();
+			connection.setDoOutput(true);
+			connection.setDoInput(true);
+			connection.setRequestMethod("POST");
+			connection.setUseCaches(false);
+			connection.setInstanceFollowRedirects(true);
+			connection.setRequestProperty("Content-Type", "application/json");
+			connection.connect();
+			// POST请求
+			out = new DataOutputStream(connection.getOutputStream());
+	
+			out.writeUTF(base64Str);
+			out.flush();
+			// 返回
+			reader = new BufferedReader(new InputStreamReader(connection.getInputStream()));
+			String lines;
+			while ((lines = reader.readLine()) != null) {
+				lines = new String(lines.getBytes(), "utf-8");
+				sb.append(lines);
+			}
+		} catch (IOException e) {
+			e.printStackTrace();
+		} finally {
+			if(out != null) {
+				try {
+					out.close();
+				} catch (IOException e) {
+					e.printStackTrace();
+				}
+			}
+			if(reader != null) {
+				try {
+					reader.close();
+				} catch (IOException e) {
+					e.printStackTrace();
+				}
+			}
+			if(connection != null) {
+				connection.disconnect();
+			}
+		}
+		return sb.toString();
+	}
+
+	/**
+	 * 获取加密字符串
+	 * @param mobile
+	 * @param content
+	 * @return
+	 */
+	private static String getMac(String ecName, String apId, String secretKey, String mobile, String content, String sign, String addSerial) {
+		if (Blank.isEmpty(mobile) || Blank.isEmpty(content)) {
+			return "";
+		}
+		StringBuffer sb = new StringBuffer();
+		sb.append(ecName).append(apId).append(secretKey).append(mobile).append(content).append(sign).append(addSerial);
+		System.out.println(sb);
+		// 生成MD5
+//		String md5 = SecureUtil.md5(String.valueOf(sb.toString().getBytes())).toLowerCase();
+		String md5 = SecureUtil.md5(String.valueOf(sb)).toLowerCase();
+		return md5;
+	}
+}

+ 3 - 0
sms/src/main/resources/application.yml

@@ -0,0 +1,3 @@
+server:
+  port: 9876
+

+ 13 - 0
sms/src/test/java/com/jd/sms/SmsApplicationTests.java

@@ -0,0 +1,13 @@
+package com.jd.sms;
+
+import org.junit.jupiter.api.Test;
+import org.springframework.boot.test.context.SpringBootTest;
+
+@SpringBootTest
+class SmsApplicationTests {
+
+    @Test
+    void contextLoads() {
+    }
+
+}